.intel_syntax noprefix
		
.data
n:	.int	100		# Granica do koje se traze prosti brojevi.
format:	.asciz	"%d\n"		# Format za ispis prostih brojeva.
	
.text
.global  main

main:
	## Prolog funkcije.
        enter   0, 0
        pusha

	## Provjerava se da li je granica veca od 2 i ako jeste stampa se broj 
	## 2 za koga se zna da je prost.
	mov	ebx, 2
	cmp	ebx, [n]
	jg done
	push	ebx
	lea	eax, format
	push	eax
	call printf
	add	esp, 8

	## Isto kao gore, provjerava se da li je granica veca od 3 i ako jeste 
	## stampa se broj 3.
	mov	ebx, 3
	cmp	ebx, [n]
	jg done
	push	ebx
	lea	eax, format
	push	eax
	call printf
	add	esp, 8

	## U registru ebx ce se drzati broj za koji se ispituje da li je prost.
	## Radi se samo sa neparnim brojevima.
	mov	ebx, 5

next_guess:
	## Provjerava se da li je predjena granica i ako jeste zavrsava se
	## program.
	cmp	ebx, [n]
	jg done

	## U registru ecx se drzi moguci faktor broja koji se ispituje. Opet se
	## za faktore u obzir uzimaju samo neparni brojevi.
	mov	ecx, 3

next_factor:
	## Ukoliko je faktor presao kvadratni korijen iz broja koji se
	## ispituje (tj. ukoliko je njegov kvadrat veci od toga broja), 
	## prelazi se na naredni faktor.
	mov	eax, ecx
	mul	ecx
	cmp	eax, ebx
	jg prime

	## Ispituje se ostatak pri dijeljenju posmatranog broja sa faktorom.
	## Ukoliko je taj ostatak jednak 0 to znaci da posmatrani broj nije
	## prost i odmah se prelazi na naredni broj.
	xor	edx, edx
	mov	eax, ebx
	div	ecx
	cmp	edx, 0
	je continue

	## Uvecava se faktor.
	add	ecx, 2
	jmp next_factor

prime:
	## Stampa se posmatrani broj za koga je utvrdjeno da je prost.
	push	ecx
	push	ebx
	lea	eax, format
	push	eax
	call printf
	add	esp, 8
	pop	ecx

continue:
	## Prelazi se na ispitivanje narednog broja.
	add	ebx, 2
	jmp next_guess
	
done:
	## Epilog funkcije.
	popa
	mov	eax, 0
	leave
	ret	
