#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

/*
 * Deklaracija funkcije correlation(). 
 */
extern int      distance2(int n, short *x, short *y);

int
main()
{
	int             n;	/* Broj koordinata tacaka. */
	short          *x,
	               *y;	/* Tacke cije se rastojanje trazi. */
	int             i;	/* Brojac u petljama. */

	/*
	 * Ucitava se broj koordinata tacaka. 
	 */
	scanf("%d", &n);
	assert(n > 0);

	/*
	 * Alocira se memorija za koordinate. 
	 */
	x = (short *) malloc(n * sizeof(short));
	assert(x != NULL);
	y = (short *) malloc(n * sizeof(short));
	assert(y != NULL);

	/*
	 * Ucitavaju se koordinate. 
	 */
	for (i = 0; i < n; i++)
		scanf("%hd%hd", &x[i], &y[i]);

	/*
	 * Izracunava se i stampa vrijednost kvadrata rastojanja. 
	 */
	printf("%d\n", distance2(n, x, y));

	/*
	 * Oslobadja se memorija koriscena za koordinate. 
	 */
	free(x);
	free(y);

	return 0;
}
