#include <assert.h>
#include <stdio.h>

/* Konstante za lakse indeksiranje koordinata tacaka. */
#define X 0
#define Y 1

/* Deklaracija funkcije intersection(). */
extern int      intersection(float *p0, float *p1, float *p2, float *p3);

int
main()
{
	float           p0[2],
	                p1[2];	/* Tacke koje odredjuju prvu pravu. */
	float           p2[2],
	                p3[2];	/* Tacke koje odredjuju drugu pravu. */

	/* Ucitavaju se tacke koje odredjuju prvu pravu. */
	scanf("%f%f%f%f", &p0[X], &p0[Y], &p1[X], &p1[Y]);
	assert(p0[X] != p1[X] || p0[Y] != p1[Y]);

	/* Ucitavaju se tacke koje odredjuju drugu pravu. */
	scanf("%f%f%f%f", &p2[X], &p2[Y], &p3[X], &p3[Y]);
	assert(p2[X] != p3[X] || p2[Y] != p3[Y]);

	/* Provjerava se da li se prave sijeku i stampa se odgovarajuca
	 * poruka na standardni izlaz. */
	printf("%s\n", intersection(p0, p1, p2, p3) ? "yes" : "no");

	return 0;
}
