#include <assert.h>
#include <stdio.h>

/* Deskriptivna imena za indekse koordinata tacaka. */
#define X 0
#define Y 1
#define Z 2

/* Deklaracija funkcije intersection(). */
extern int      intersection(float *P0, float *P1, float *P, float *N,
			     float *R);

int
main()
{
	float           P0[3],
	                P1[3];	/* Koordinate tacaka koje odredjuju pravu. 
				 */
	float           P[3];	/* Koordinate tacke koja lezi u ravni. */
	float           N[3];	/* Koordinate vektora normale ravni. */
	float           R[3];	/* Koordinate tacke presjeka prave i
				 * ravni. */

	/* Ucitavaju se koordinate tacaka koje odredjuju pravu i odredjuje 
	 * se njihova validnost. */
	scanf("%f%f%f%f%f%f", &P0[X], &P0[Y], &P0[Z], &P1[X], &P1[Y],
	      &P1[Z]);
	assert(P0[X] != P1[X] || P0[Y] != P1[Y] || P0[Z] != P1[Z]);

	/* Ucitavaju se koordinate tacke koja lezi u ravni, odn. vektora
	 * normale ravni i odredjuje se validnost ovog vektora. */
	scanf("%f%f%f%f%f%f", &P[X], &P[Y], &P[Z], &N[X], &N[Y], &N[Z]);
	assert(N[X] != 0 || N[Y] != 0 || N[Z] != 0);

	/* Odredjuje se presjek prave i ravni, i ako se isti sastoji od
	 * jedne tacke, stampaju se koordinate te tacke na standardni
	 * izlaz. */
	if (intersection(P0, P1, P, N, R))
		printf("%g %g %g\n", R[X], R[Y], R[Z]);

	return 0;
}
