#include <stdio.h>
#include <assert.h>

/* Velicina bafera preko koga se ucitava fajl. */
#define BUFFER_SIZE 80

/* Deklaracija funkcije count(). */
extern void count (char *buffer, int *nc, int *nw, int *nl);

int
main ()
{
  char buffer[BUFFER_SIZE];	/* Bafer preko koga se vrsi
				 * ucitavanje fajla. */
  int nc, nw, nl;		/* Broj karaktera, rijeci i linija u
				 * baferu. */
  int cc, cw, cl;		/* Ukupan broj karaktera, rijeci i
				 * linija u fajlu. */

  /* Prebacuje se standardni ulaz u rezim linijskog baferovanja. */
  setvbuf (stdin, NULL, _IOLBF, 0);

  /* Inicijalizuju se brojaci. */
  cc = cw = cl = 0;

  /*
   * Ucitava se fajl sa standardnog ulaza i izracunava se broj
   * karaktera, rijeci i linija u istom.
   */
  for (; fgets (buffer, BUFFER_SIZE, stdin) != NULL;)
    {
      /*
       * Odredjuje se broj karaktera, rijeci i linija u tekucem
       * sadrzaju bafera.
       */
      count (buffer, &nc, &nw, &nl);

      /* Inkrementira se ukupni broj karaktera, rijeci i linija. */
      cc += nc;
      cw += nw;
      cl += nl;
    }

  printf ("%d\n", cc);
  printf ("%d\n", cw);
  printf ("%d\n", cl);

  return 0;
}
