#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

/* Deklaracija funkcije value(). */
extern float value (int n, float *c, float x);

int
main ()
{
  int n;			/* Red polinoma. */
  float *c;			/* Polje sa koeficijentima polinoma. */
  float x;			/* Tacka u kojoj se racuna vrijednost
				 * polinoma. */
  int i;			/* Brojac u petljama. */

  /* Ucitava se red polionoma. */
  scanf ("%d", &n);
  assert (n >= 0);

  /* Alocira se memorija i ucitavaju se koeficijenti polinoma. */
  c = (float *) malloc ((n + 1) * sizeof (float));
  assert (c != NULL);
  for (i = 0; i <= n; i++)
    scanf ("%f", &c[i]);

  /* Ucitava se tacka u kojoj se racuna polinom. */
  scanf ("%f", &x);

  /* Izracunava se i stampa vrijednost polinoma u datoj tacki. */
  printf ("%g\n", value (n, c, x));

  /* Oslobadja se memorija koju su zauzimali koeficijenti polinoma. */
  free (c);

  return 0;
}
