#include <assert.h>
#include <stdio.h>
#include <stdlib.h>

/* Deklaracija funkcije standard_deviation(). */
extern void     standard_deviation(int n, float *x, float *sigma);

int
main()
{
	int             n;	/* Duzina datog vektora. */
	float          *x;	/* Vektor vrijednosti za koji se racuna
				 * standardna devijacija. */
	float           sigma;	/* Izracunata vrijednost standardne
				 * devijacije. */
	int             i;	/* Brojac u petljama. */

	/* Ucitavaju se duzina datog vektora. */
	scanf("%d\n", &n);
	assert(n > 1);

	/* Alocira se memorija za elemente datog vektora i ucitavaju se
	 * isti. */
	x = malloc(n * sizeof(float));
	assert(x != NULL);
	for (i = 0; i < n; i++)
		scanf("%f", &x[i]);

	/* Izracunava se i stampa vrijednost standardne devijacije. */
	standard_deviation(n, x, &sigma);
	printf("%g\n", sigma);

	/* Oslobadja se memorija koriscena za elemente datog vektora. */
	free(x);

	return 0;
}
