#include <assert.h>
#include <stdio.h>
#include <stdlib.h>

/* Deklaracija funkcije echo(). */
extern void     echo(int n, float *x, int m, float s, float *y);

int
main(void)
{
	int             n;	/* Broj odbiraka signala. */
	float          *x;	/* Odbirci polaznog signala. */
	int             m;	/* Kasnjenje echo efekta u odnosu na
				 * polazni signal, izrazeno u broju
				 * odbiraka. */
	float           s;	/* Faktor skaliranje signala za echo
				 * efekat. */
	float          *y;	/* Odbirci signala sa uracunatim echo
				 * efektom. */
	int             i;	/* Brojac u petljama. */

	/* Ucitavaju se ulazni podaci. */
	scanf("%d", &n);
	assert(n > 0);
	x = malloc(n * sizeof(float));
	assert(x != NULL);
	for (i = 0; i < n; ++i)
		scanf("%f", &x[i]);
	scanf("%d", &m);
	assert(m > 0 && m < n);
	scanf("%f", &s);
	assert(s > 0);

	/* Izracunavaju se, i stampaju na standardni izlaz, odbirci
	 * signala za uracunatim echo efektom. */
	y = malloc(n * sizeof(float));
	echo(n, x, m, s, y);
	printf("%d\n", n);
	for (i = 0; i < n; ++i)
		printf("%g\n", y[i]);

	/* Oslobadja se alocirana memorija. */
	free(x);
	free(y);

	return 0;
}
