#include <assert.h>
#include <stdio.h>

/* Deskriptivna imena za indekse koordinata tacaka. */
#define X 0
#define Y 1

/* Deklaracija funkcije projection(). */
extern void     projection(float *P, float *P0, float *P1, float *Pprim);

int
main()
{
	float           P[2];	/* Koordinate tacke cija se projekcija
				 * racuna. */
	float           P0[2],
	                P1[2];	/* Koordinate tacaka na pravoj. */
	float           Pprim[2];	/* Koordinate tacke koje
					 * predstavlja projekciju date
					 * tacke na datu pravu. */

	/* Ucitavaju se koordinate date tacke. */
	scanf("%f%f", &P[X], &P[Y]);

	/* Ucitavaju se koordinate tacaka koje odredjuju datu pravu i
	 * ispituje se njihova validnost. */
	scanf("%f%f%f%f", &P0[X], &P0[Y], &P1[X], &P1[Y]);
	assert(P0[X] != P1[X] || P0[Y] != P1[Y]);

	/* Izracunavaju se koordinate tacke koja predstavlja projekciju
	 * date tacke na datu pravu i stampaju iste na standardnom izlazu. 
	 */
	projection(P, P0, P1, Pprim);
	printf("%g %g\n", Pprim[X], Pprim[Y]);

	return 0;
}
