#include <assert.h>
#include <stdio.h>

/* Broj pi. */
#define PI 3.14159265358979323846

/* Deklaracija funkcije klein(). */
extern void     klein(float a, float u, float v, float *x, float *y,
		      float *z);

int
main(void)
{
	float           a;	/* Koeficijent povrsi a. */
	float           u,
	                v;	/* Parametarske koordinate tacke na
				 * povrsi. */
	float           x,
	                y,
	                z;	/* Dekartove koordinate tacke na povrsi. */

	/* Ucitavaju se koficijent povrsi i parametarske koordinate date
	 * tacke na povrsi, i provjerava se validnost ovih podataka. */
	scanf("%f%f%f", &a, &u, &v);
	assert(a > 2);
	assert(u >= 0 && u < 2 * PI);
	assert(v >= 0 && v < 2 * PI);

	/* Izracunavaju se Dekartove koordinate date tacke na povrsi i
	 * stampaju se iste na standardni izlaz. */
	klein(a, u, v, &x, &y, &z);
	printf("%g %g %g\n", x, y, z);

	return 0;
}
