#include <stdio.h>
#include <assert.h>

/* Deklaracija funkcije newton(). */
extern float    newton(int n, float a, float x0, float eps, int max);

int
main()
{
	int             n;	/* Korijen koji se racuna. */
	float           a;	/* Broj ciji se korijen racuna. */
	float           x0;	/* Pocetna iteracija. */
	float           eps;	/* Trazena tacnost. */
	int             max;	/* Maksimalni dozvoljeni broj iteracija. */

	/* Ucitavaju se ulazni podaci i provjerava se njihova validnost.  */
	scanf("%d%f%f%f%d", &n, &a, &x0, &eps, &max);
	assert(n >= 2);
	assert(a >= 0);
	assert(x0 >= 0);
	assert(eps > 0);
	assert(max > 0);

	/* Izracunava se i stampa vrijednost trazenog korijena. */
	printf("%g\n", newton(n, a, x0, eps, max));

	return 0;
}
