#include <assert.h>
#include <stdio.h>

/* Deklaracija funkcije bezier(). */
extern void     bezier(float P0[], float P1[], float P2[], float P3[], float t, float P[]);

int 
main()
{
	float           P0[3], P1[3], P2[3], P3[3];	/* Koordinate kontrolnih
							 * tacaka Bezier-ove
							 * krive. */
	float           t;	/* Vrijednost parametra t za koju se racuna
				 * tacka na krivoj. */
	float           P[3];	/* Koordinate trazene tacke na krivoj. */

	/*
	 * Ucitavaju se koordinate kontrolnih tacaka krive i vrijednost
	 * parametra t.
	 */
	scanf("%f%f%f", &P0[0], &P0[1], &P0[2]);
	scanf("%f%f%f", &P1[0], &P1[1], &P1[2]);
	scanf("%f%f%f", &P2[0], &P2[1], &P2[2]);
	scanf("%f%f%f", &P3[0], &P3[1], &P3[2]);
	scanf("%f", &t);
	assert(t >= 0 && t <= 1);

	/* Izracunavaju se i stampaju koordinate trazene tacke na krivoj. */
	bezier(P0, P1, P2, P3, t, P);
	printf("%g %g %g\n", P[0], P[1], P[2]);

	return 0;
}
