#include <assert.h>
#include <stdio.h>
#include <string.h>

/* Maksimalna duzina stringova. */
#define TEXT_LENGTH 80

/* Deklaracija funkcije strrstr(). */
extern int      strrstr(char *haystack, char *needle);

int
main()
{
	char            haystack[TEXT_LENGTH + 1];	/* String koji se
							 * pretrazuje. */
	char            needle[TEXT_LENGTH + 1];	/* String koji se
							 * trazi. */
	int             length;	/* Duzina stringa. */

	/* Ucitava se string koji se pretrazuje. */
	assert(fgets(haystack, TEXT_LENGTH + 1, stdin) != NULL);
	if ((length = strlen(haystack)) > 0
	    && haystack[length - 1] == '\n')
		haystack[--length] = 0;

	/* Ucitava se string koji se trazi. */
	assert(fgets(needle, TEXT_LENGTH + 1, stdin) != NULL);
	if ((length = strlen(needle)) > 0
	    && needle[length - 1] == '\n')
		needle[--length] = 0;

	/* Trazi se prva pojava zdesna drugog stringa u prvom i stampa se
	 * indeks te pojave, odn. -1 ako drugi string nije podstring
	 * prvog. */
	printf("%d\n", strrstr(haystack, needle));

	return 0;
}
