.intel_syntax noprefix
		
.data
string:	.asciz	"\\textbf{Hello}, La\\texttt{TeX} worl\\textbf{d}!"	# Dati tekst.
textbf:	.ascii	"textbf{"	# String koji predstavlja trazenu komandu (treba uociti da string mora da ukljuci i viticastu zagradu).
format:	.asciz  "%d\n"		# Format za ispis broja pojava komande.
		
.text
.global  main

main:
	## Prolog funkcije.
        enter   0, 0
        pusha

	## Odredjuje se duzina stringa tako sto se pretrazuje string dok se ne
	## naidje na 0. Duzina stringa se smjesta u registar ecx.
        mov     edi, string
        xor     eax, eax
        mov     ecx, -1
        repnz scasb
        add     ecx, 2
        neg     ecx

count_textbf:
	## Tokom prolaska kroz string u cilju prebrojavanja pojavljivanja date 
	## komande u registru edi ce biti drzana adresa tekuceg karaktera, a u  
	## registru edx broj pojava.
	lea	edi, string
	xor	edx, edx

next_command:
	## Pretrazuje se string dok se ne naidje na pocetak komande. Ukoliko se
	## doslo do kraja stringa prelazi se na stampanje.
	mov	al, '\\'
	repnz scasb
	jne print

	## Poredi se trazena komanda sa dijelom teksta na koga trenutno pokazuje
	## registar edi. Pritom se adresa stringa sa trazenom komandom stavlja
	## u registar esi. Ukoliko postoji poklapanje, inkrementira se broj
	## pojava trazene komande.
	push	edi
	push	ecx
	mov	ecx, 7
	lea	esi, textbf
	repe cmpsb
	jne	not_found
	inc	edx
not_found:
	pop	ecx
	pop	edi

	## Prelazi se na narednu komandu.
	jmp next_command

print:
	## Stampa se broj pojavljivanja komande.
	push	edx
	lea	eax, format
	push	eax
	call printf
	add	esp, 8

finish:
	## Epilog funkcije.
	popa
	mov	eax, 0
	leave
	ret	
