#include <assert.h>
#include <stdio.h>
#include <stdlib.h>

/* Deklaracija funkcije rational(). */
extern float    rational(int m, float *p, int n, float *q, float x);

int
main()
{
	int             m;	/* Broj koeficijenata polinoma p. */
	float          *p;	/* Polje sa koeficijentima polinoma p. */
	int             n;	/* Broj koeficijenata polinoma n. */
	float          *q;	/* Polje sa koeficijentima polinoma q. */
	float           x;	/* Vrijednost za koju se racuna funkcija. */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se broj koeficijenata polinoma p i onda se alocira
	 * memorija za polje sa koeficijentima i ucitavaju se
	 * koeficijenti. */
	scanf("%d", &m);
	assert(m > 0);
	p = malloc(m * sizeof(float));
	assert(p != NULL);
	for (i = 0; i < m; i++)
		scanf("%f", &p[i]);

	/* Ucitava se broj koeficijenata polinoma q i onda se alocira
	 * memorija za polje sa koeficijentima i ucitavaju se
	 * koeficijenti. */
	scanf("%d", &n);
	assert(n > 0);
	q = malloc(n * sizeof(float));
	assert(q != NULL);
	for (i = 0; i < n; i++)
		scanf("%f", &q[i]);

	/* Ucitava se vrijednost za koju se izracunava funkcija, a zatim
	 * se izracunava vrijednost funkcije i stampa na standardni izlaz. 
	 */
	scanf("%f", &x);
	printf("%g\n", rational(m, p, n, q, x));

	/* Oslobadja se memorija koriscena za koefijente polinoma p i q. */
	free(p);
	free(q);

	return 0;
}
