#include <assert.h>
#include <stdio.h>

/* Deklaracija funkcije ackerman(). */
extern void     ackerman(int a, int b, int *x, int *n);

int
main(void)
{
	int             a,
	                b;	/* Granice intervala u kome se trazi broj
				 * sa najduzom Ackerman-ovom sekvencom. */
	int             x;	/* Broj iz gornjeg intervala sa najduzom
				 * sekvencom. */
	int             n;	/* Duzina sekvence za gornji broj. */

	/* Ucitavaju se granice intervala i provjerava njihova validnost. */
	scanf("%d%d", &a, &b);
	assert(1 < a && a < b);

	/* Odredjuje se broj iz datog intervala sa najduzom Ackerman-ovom
	 * sekvencom, kao i duzina sekvence za taj broj, i stampaju se te
	 * dvije vrijednosti na standardni izlaz. */
	ackerman(a, b, &x, &n);
	printf("%d %d\n", x, n);

	return 0;
}
