#include <assert.h>
#include <ctype.h>
#include <stdio.h>
#include <string.h>

/* Duzina JMBG broja. */
#define LENGTH 13

/* Deklaracija funkcije check(). */
extern int      check(char *number);

int
main(void)
{
	char            number[LENGTH + 1];	/* String sa ciframa JMBG
						 * broja. */
	int             length;	/* Duzina gornjeg stringa. */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se string sa ciframa JMBG broja sa standardnog ulaza, i 
	 * provjerava se njegova validnost. */
	assert(fgets(number, LENGTH + 1, stdin) != NULL);
	length = strlen(number);
	assert(length == LENGTH);
	for (i = 0; i < length; ++i)
		assert(isdigit(number[i]));

	/* Provjerava se da li je dati JMBG broj validan, i stampa se
	 * rezultat na standardni izlaz. */
	printf("%s\n", check(number) ? "yes" : "no");

	return 0;
}
