#include <stdio.h>
#include <assert.h>

/* Deklaracija funkcije iteration(). */
extern int      iteration(float x0, float epsilon, int n, float *x);

int
main()
{
	float           x0;	/* Pocetna iteracija. */
	float           epsilon;/* Trazena tacnost. */
	int             n;	/* Maksimalni dozvoljeni broj iteracija. */
	float           x;	/* Rjesenje jednacine. */

	/* Ocitavaju se ulazni podaci sa standardnog ulaza. */
	scanf("%f%f%d", &x0, &epsilon, &n);
	assert(epsilon > 0);
	assert(n > 0);

	/*
	 * Rjesava se jednacina i, u slucaju da metoda konvergira, stampa se
	 * rjesenje na standardni izlaz.
	 */
	if (iteration(x0, epsilon, n, &x))
		printf("%g\n", x);

	return 0;
}
