#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

/* Deklaracija funkcije midpoint(). */
extern void     midpoint(int x0, int y0, int x1, int y1, int *x, int *y);

int
main()
{
	int             x0, y0, x1, y1;	/* Koordinate krajnjih tacaka linije. */
	int             n;	/* Broj piksela koji predstavljaju liniju. */
	int            *x, *y;	/* Koordinate piksela. */
	int             i;	/* Brojac u petljama. */

	/* Ucitavaju se koordinate krajnjih tacaka linije. */
	scanf("%d%d%d%d", &x0, &y0, &x1, &y1);
	assert(x1 - x0 > 0);
	assert(y1 - y0 > 0);
	assert(x1 - x0 > y1 - y0);

	/* Alocira se memorija za koordinate piksela linije. */
	n = (x1 - x0) + 1;
	x = (int *)malloc(n * sizeof(int));
	assert(x != NULL);
	y = (int *)malloc(n * sizeof(int));
	assert(y != NULL);

	/* Izracunavaju se koordinate piksela. */
	midpoint(x0, y0, x1, y1, x, y);

	/* Stampaju se koordinate piksela. */
	for (i = 0; i < n; i++)
		printf("%d %d\n", x[i], y[i]);

	/* Oslobadja se zauzeta memorija. */
	free(x);
	free(y);

	return 0;
}
