#include <assert.h>
#include <stdio.h>
#include <string.h>

/* Maksimalna duzina stringa. */
#define STRING_MAX_LENGTH 32

/* Deklaracija funkcije vowels(). */
extern int      vowels(char *string);

int
main()
{
	char            string[STRING_MAX_LENGTH + 1];	/* String koji se
							 * ispituje. */
	int             length;	/* Duzina gornjeg stringa. */

	/* Ucitava se string sa standardnog ulaza. */
	assert(fgets(string, STRING_MAX_LENGTH + 1, stdin) != NULL);
	length = strlen(string);
	if (length > 0 && string[length - 1] == '\n')
		string[length - 1] = 0;

	/* Provjerava se da li string sadrzi sve samoglasnike, i to u
	 * neopadajucem abecednom redosledu, i stampa se odgovarajuca
	 * poruka na standardni izlaz. */
	printf("%s\n", vowels(string) ? "yes" : "no");

	return 0;
}
