#include <stdio.h>
#include <string.h>
#include <assert.h>

/* Maksimalna dozvoljena duzina stringa koji predstavlja broj. */
#define STRING_LENGTH 80

/* Deklaracija funkcije stof(). */
extern int      stof(char *string, float *number);

int
main()
{
	char            string[STRING_LENGTH];	/* Maksimalna duzina string
						 * ucitanog iz komandne
						 * linije. */
	int             length;	/* Duzina gornjeg stringa. */
	float           number;	/* Broj dobijen parsiranjem stringa. */

	/* Ucitava se string sa standardnog ulaza. */
	assert(fgets(string, STRING_LENGTH, stdin) != NULL);
	if ((length = strlen(string)) > 0 && string[length - 1] == '\n')
		string[length - 1] = 0;

	/*
	 * Parsira se dati string i, ako parsiranje prodje u redu, stampa se
	 * broj na standardni izlaz.
	 */
	if (stof(string, &number))
		printf("%g\n", number);

	return 0;
}
