#include <assert.h>
#include <stdio.h>

/* Deklaracija funkcije collatz(). */
extern void     collatz(int n, int *x, int *count);

int
main()
{
	int             n;	/* Velicina skupa brojeva cije se
				 * Collatz-ove sekvence ispituju. */
	int             x,
	                count;	/* Broj koji ima najduzu sekvencu u
				 * gornjem skupu i duzina sekvence. */

	/* Ucitava se velicina skupa. */
	scanf("%d", &n);
	assert(n > 0);

	/* Izracunava se broj sa najduzom sekvencom i velicina te
	 * sekvence. */
	collatz(n, &x, &count);

	/* Stampa se broj i velicina njegove sekvence na standardni izlaz. 
	 */
	printf("%d %d\n", x, count);

	return 0;
}
