#include <assert.h>
#include <stdio.h>

/* Deklaracija funkcije golden_section_search(). */
extern void     golden_section_search(float a, float b, float c,
				      float epsilon, float *x, float *f);

int
main()
{
	float           a,
	                b,
	                c;	/* Tacke koje odredjuju interval na kome
				 * se trazi minimum date funkcije. */
	float           epsilon;	/* Preciznost trazena prilikom
					 * izracunavanja. */
	float           x,
	                f;	/* Tacka minimuma i vrijednost funkcije u
				 * toj tacki. */

	/* Ucitavaju se tacke intervala na kome se trazi minimum, kao i
	 * trazena preciznost. */
	scanf("%f%f%f%f\n", &a, &b, &c, &epsilon);
	assert(a < b);
	assert(b < c);
	assert(epsilon > 0);

	/* Izracunava se tacka minimuma i vrijednost funkcije u istoj. */
	golden_section_search(a, b, c, epsilon, &x, &f);

	/* Stampaju se dobijeni rezultati. */
	printf("%g %g\n", x, f);

	return 0;
}
