#include <stdio.h>
#include <string.h>
#include <assert.h>

/*
 * Maksimalna duzina stringa koji predstavlja poruku. 
 */
#define STRING_LENGTH 80

/*
 * Deklaracija funkcije crc(). 
 */
extern int      crc(char *string);

int
main()
{
	char            string[STRING_LENGTH];	/* String cija se CRC
						 * vrijednost izracunava. */
	int             length;	/* Duzina gornjeg stringa. */

	/*
	 * Ucitava se string sa standardnog ulaza. 
	 */
	assert(fgets(string, STRING_LENGTH, stdin) != NULL);
	if ((length = strlen(string)) > 0 && string[length - 1] == '\n')
		string[length - 1] = 0;

	/*
	 * Poziva se funkcija koja racuna CRC i stampa se izracunata
	 * vrijednost na standardni izlaz.
	 */
	printf("%x\n", crc(string));

	return 0;
}
