#include <assert.h>
#include <ctype.h>
#include <stdio.h>
#include <string.h>

/* Maksimalna duzina stringa koji sadrzi dati broj. */
#define STRING_LENGTH 10

/* Deklaracija funkcije runaround(). */
extern int      runaround(char *string);

int
main()
{
	char            string[STRING_LENGTH];	/* String koji sadrzi dati 
						 * broj. */
	int             length;	/* Duzina gornjeg stringa. */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se string sa standarnog ulaza i provjerava se da li
	 * sadrzi samo cifre iz intervala [1,9]. */
	assert(fgets(string, STRING_LENGTH, stdin) != NULL);
	if ((length = strlen(string)) > 0 && string[length - 1] == '\n')
		string[--length] = 0;
	for (i = 0; i < length; i++)
		assert(isdigit(string[i]) && string[i] != '0');

	/* Provjerava se da li broj predstavljen stringom zadovoljava
	 * svojstva runaround broja i stampa se odgovarajuca poruka na
	 * standardni izlaz. */
	printf("%s\n", runaround(string) ? "yes" : "no");

	return 0;
}
