#include <assert.h>
#include <stdio.h>

/* Deklaracija funkcije class(). */
extern int      class(int *address);

int
main()
{
	int             address[4];	/* Polje za smjestaj IP adrese */
	int             result;	/* Indikator klase kojoj pripada data adresa. */

	/*
	 * Ucitava se IP adresa sa standardnog ulaza i provjerava se da li je
	 * u pitanju validna adresa.
	 */
	scanf("%d.%d.%d.%d", &address[0], &address[1], &address[2], &address[3]);
	assert(address[0] >= 0 && address[0] <= 255);
	assert(address[1] >= 0 && address[1] <= 255);
	assert(address[2] >= 0 && address[2] <= 255);
	assert(address[3] >= 0 && address[3] <= 255);

	/*
	 * Odredjuje se klasa kojoj pripada data adresa i ista ispisuje na
	 * standarni izlaz.
	 */
	result = class(address);
	if (result != 0)
		printf("Class %c address.\n", result);
	else
		printf("Invalid address.\n");

	return 0;
}
