#include <assert.h>
#include <stdio.h>
#include <string.h>

/* Maksimalna duzina sekvence cestica. */
#define MAX_LENGTH 100

/* Deklaracija funkcije particles(). */
extern char     particles(char *sequence);

int
main(void)
{
	char            sequence[MAX_LENGTH + 1];	/* String sa
							 * sekvencom
							 * cestica. */
	int             length;	/* Duzina gornjeg stringa. */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se string koji predstavlja sekvencu cestica sa
	 * standardnog ulaza. */
	fgets(sequence, MAX_LENGTH + 1, stdin);
	length = strlen(sequence);
	if (length > 0 && sequence[length - 1] == '\n')
		sequence[--length] = 0;

	/* Provjerava se validnost gornjeg stringa. */
        assert(length > 0);
	for (i = 0; i < length; ++i)
		assert(sequence[i] == 'X' || sequence[i] == 'Y'
		       || sequence[i] == 'Z');

	/* Izracunava se, i stampa na standardni izlaz, rezultujuca
	 * cestica. */
	printf("%c\n", particles(sequence));

	return 0;
}
