#include <stdio.h>
#include <string.h>
#include <assert.h>

/* Maksimalna duzina ulaza. */
#define MAX_LENGTH 80

/* Deklaracija funkcije regex(). */
extern int      regex(char *s);

int
main()
{
	char            s[MAX_LENGTH];	/* String koji se provjerava. */
	int             length;	/* Duzina gornjeg stringa. */

	/* Ucitava se string sa standardnog ulaza. */
	assert(fgets(s, MAX_LENGTH, stdin) != NULL);
	if ((length = strlen(s)) > 0 && s[length - 1] == '\n')
		s[length - 1] = 0;

	/*
	 * Odredjuje se da li string odgovara regularnom izrazu i stampa se
	 * odgovarajuca poruka na standardni izlaz..
	 */
	printf("%c\n", regex(s) ? 'y' : 'n');

	return 0;
}
