#include <assert.h>
#include <stdio.h>

/* Deklaracija funkcije convert(). */
extern void     convert(int x, int b, char *s);

int
main()
{
	int             x;	/* Broj koji se konvertuje. */
	int             b;	/* Baza u koju se vrsi konverzija. */
	char            s[32];	/* String sa ciframa konvertovanog broja. */

	/* Ucitavaju se broj koji se konvertuje i baza u koju se vrsi
	 * konverzija i provjerava se da li se ove vrijednosti nalaze u
	 * validnim opsezima. */
	scanf("%d%d", &x, &b);
	assert(x >= 0);
	assert(b >= 2 && b <= 36);

	/* Vrsi se konverzija i stampa se dobijeni string na standardni
	 * izlaz. */
	convert(x, b, s);
	printf("%s\n", s);

	return 0;
}
