#include <assert.h>
#include <stdio.h>

/* Maksimalni broj cifara koje moze imati broj u "bazi faktorijela". */
#define MAX_DIGITS 12

/* Deklaracija funkcije convert(). */
extern int      convert(int n, int *buffer, int *count);

int
main(void)
{
	int             n;	/* Broj cija se konverzija vrsi. */
	int             buffer[MAX_DIGITS];	/* Cifre broja u "bazi
						 * faktorijela". */
	int             count;	/* Duzina broja u "bazi faktorijela". */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se dati broj. */
	scanf("%d", &n);
	assert(n >= 0);

	/* Vrsi se konverzija u "bazu faktorijela". */
	convert(n, buffer, &count);

	/* Stampaju se cifre broja u "bazi faktorijela". */
	for (i = 0; i < count; ++i)
		printf("%d%c", buffer[i], (i < count - 1) ? ',' : '\n');

	return 0;
}
