#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

/* Deklaracija funkcije collisions(). */
extern int      collisions(int n, int m, int *ids);

int
main()
{
	int             n;	/* Duzina hash tabele. */
	int             m;	/* Broj identifikatora koje treba unijeti u
				 * hash tabelu. */
	int            *ids;	/* Polje identifikatora. */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se duzina hash tabele. */
	scanf("%d", &n);
	assert(n > 0);

	/* Ucitava se broj identifikatora. */
	scanf("%d", &m);
	assert(m > 0);

	/* Alocira se polje za identifikatore i ucitavaju se identifikatori. */
	ids = (int *)malloc(m * sizeof(int));
	for (i = 0; i < m; i++) {
		scanf("%d", &ids[i]);
		assert(ids[i] > 0);
	}

	/* Stampa se broj kolizija. */
	printf("%d\n", collisions(n, m, ids));

	/* Oslobadja se koriscena memorija. */
	free(ids);

	return 0;
}
