#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

/* Deklaracija funkcije quicksort(). */
extern void     quicksort(int *array, int left, int right);

int
main()
{
	int             n;	/* Duzina polja. */
	int            *array;	/* Polje sa elementima niza. */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se duzina niza. */
	scanf("%d", &n);
	assert(n > 0);

	/* Alocira se memorija za niz. */
	array = (int *)malloc(n * sizeof(int));
	assert(array != NULL);

	/* Ucitavaju se elementi niza. */
	for (i = 0; i < n; i++)
		scanf("%d", &array[i]);

	/* Sortira se niz. */
	quicksort(array, 0, n - 1);

	/* Stampa se sortirani niz na standardni izlaz. */
	printf("%d\n", n);
	for (i = 0; i < n; i++)
		printf("%d\n", array[i]);

	/* Oslobadja se memorija koriscena za elemente niza. */
	free(array);

	return 0;
}
