#include <assert.h>
#include <stdio.h>

/* Deklaracija funkcije farey(). */
extern int      farey(int n, int k, int *x, int *y);

int
main()
{
	int             n;	/* Red Farey-evog niza. */
	int             k;	/* Indeks trazenog elementa niza. */
	int             x, y;	/* Brojilac i imenilac koji odredjuju trazeni
				 * element niza. */

	/*
	 * Ucitavaju se red niza i indeks trazenog elementa i provjerava se
	 * njihova validnost.
	 */
	scanf("%d%d", &n, &k);
	assert(n > 0);
	assert(k >= 1);

	/*
	 * Pokusava se odrediti trazeni element niza i, ukoliko bude
	 * pronadjen, stampa se odgovarajuci razlomak na standardni izlaz.
	 */
	if (farey(n, k, &x, &y))
		printf("%d/%d\n", x, y);

	return 0;
}
