.intel_syntax noprefix

.data
s:	.asciz	"Hello, world!"	# Prvi string.
t:	.asciz	"aeiou,"	# Drugi string.
fmt:	.asciz	"%s\n"		# Format za ispis prvog stringa.
			
.text
.global  main

main:
	## Prolog funkcije.
        enter   0, 0
        pusha

	## U registru esi ce biti drzana adresa tekuceg karaktera drugog 
	## stringa.
	cld
	lea	esi, t

next_check:
	## Ucitava se karakter koga treba izbaciti iz prvog stringa.
	lodsb

	## Provjerava se da li se doslo do kraja drugog stringa i ako jeste
	## prelazi se na stampanje prvog stringa.
	cmp	al, 0
	je	print

	## Pamti se karakter koga treba izbacivati iz prvog stringa u
	## registru ah.
	mov ah, al

	## U registru esi ce biti drzana adresa tekuceg karaktera prvog 
	## stringa prije, a u registru edi adresa tekuceg karaktera prvog
	## stringa nakon izbacivanja zadatog karaktera.
	push	esi
	lea	esi, s
	lea	edi, s

next_char:
	## Ucitava se naredni karakter prvog stringa.
	lodsb

	## Provjerava se da li se doslo do kraja prvog stringa i ako jeste
	## prelazi se na naredni karakter drugog stringa.
	cmp	al, 0
	je check_end

	## Provjerava se da li tekuci karakter prvog stringa treba izbaciti.
	cmp	al, ah
	je continue

	## Ukoliko tekuci karakter prvog stringa ne treba izbaciti, isti se
	## vraca na odgovarajucu poziciju u prvom stringu.
	stosb

continue:
	## Prelazi se na naredni karakter prvog stringa.
	jmp next_char
	
check_end:
	## Terminira se prvi string nulom.
	mov	al, 0
	stosb
	
	## Prelazi se na naredni karakter drugog stringa.
	pop	esi
	jmp next_check

print:
	## Stampa se na standardnom izlazu ono sto je preostalo od prvog 
	## stringa.
	lea	eax, s
	push	eax
	lea	eax, fmt
	push	eax
	call printf
	add	esp, 8

	## Epilog funkcije.
	popa
	mov	eax, 0
	leave
	ret	
