#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

/* Deklaracija funkcije arbitrary_vector(). */
extern float    arbitrary_vector(int n, float *A, int count);

int
main()
{
	int             n;	/* Dimenzija matrice. */
	float          *A;	/* Polje sa elementima matrice. */
	int             count;	/* Broj iteracija. */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se dimenzija matrice. */
	scanf("%d", &n);
	assert(n > 0);

	/* Alocira se memorija i ucitava se matrica. */
	A = (float *)malloc(n * n * sizeof(float));
	assert(A != NULL);
	for (i = 0; i < n * n; i++)
		scanf("%f", A + i);

	/* Ucitava se broj iteracija. */
	scanf("%d", &count);
	assert(count > 0);

	/*
	 * Izracunava se metodom sopstvenog vektora i stampa na	standardni
	 * izlaz najveca po modulu sopstvena vrijednost	matrice.
	 */
	printf("%g\n", arbitrary_vector(n, A, count));

	/* Oslobadja se memorija koju je zauzimala matrica. */
	free(A);

	return 0;
}
