#include <stdio.h>
#include <string.h>

/* Velicina bafera. */
#define STRING_LENGTH 4096

/* Deklaracija funkcije count(). */
extern void     count(char *string, int *alpha_count, int *digit_count, int *other_count);

int
main()
{
	char            string[STRING_LENGTH + 1];	/* Bafer za prihvatanje
							 * ulaznog stringa. */
	char           *curr;	/* Pokazivac na lokaciju u gornjem baferu na
				 * koju treba smjestiti narednu liniju
				 * teksta. */
	int             length;	/* Duzina tekuce linije teksta. */
	int             alpha_count, digit_count, other_count;	/* Broj slova, cifara i
								 * ostalih karaktera u
								 * datom stringu. */

	/* Ucitava se liniju po liniju string sa standardnog ulaza. */
	length = 0;
	curr = string;
	for (; fgets(curr, STRING_LENGTH - length, stdin) != NULL;) {
		length += strlen(curr);
		curr += length;
	}
	if (ferror(stdin))
		return 1;

	/*
	 * Izracunava se i stampa broj pojavljivanja slova, cifara i ostalih
	 * karaktera u datom stringu.
	 */
	count(string, &alpha_count, &digit_count, &other_count);
	printf("%d %d %d\n", alpha_count, digit_count, other_count);

	return 0;
}
