#include <assert.h>
#include <stdio.h>

/* Deklaracija funkcije newton(). */
extern void     newton(float b, float epsilon, float *eta);

int
main(void)
{
	float           b;	/* Broj ciji se kvadratni korijen racuna. */
	float           epsilon;	/* Trazena preciznost
					 * izracunavanja. */
	float           eta;	/* Vrijednost relativne greske
				 * izracunavanja. */

	/* Ucitavaju se broj ciji se kvadratni korijen racuna, kao i
	 * trazena preciznost izracunavanja. */
	scanf("%f%f", &b, &epsilon);
	assert(b > 0);
	assert(epsilon > 0);

	/* Odredjuje se relativna greska pri racunanju kvadratnog korijena 
	 * datog broja sa datom preciznoscu, i stampa se vrijednost greske 
	 * na standardni izlaz. */
	newton(b, epsilon, &eta);
	printf("%g\n", eta);

	return 0;
}
