#include <stdio.h>
#include <assert.h>

/* Maksimalna duzina stringa koji predstavlja broj. */
#define STRING_LENGTH 16

/* Deklaracija funkcije convert(). */
extern int      convert(char *s0, int m, char *s1, int n);

int
main()
{
	int             m;	/* Baza iz koje se vrsi konverzija. */
	char            s0[STRING_LENGTH];	/* Broj koji se konvertuje. */
	int             length;	/* Duzina gornjeg stringa. */
	int             n;	/* Baza u koju se vrsi konverzija. */
	char            s1[STRING_LENGTH];	/* Konvertovana vrijednost. */

	/* Ucitava se string sa standardnog ulaza. */
	assert(fgets(s0, STRING_LENGTH, stdin) != NULL);
	if ((length = strlen(s0)) > 0 && s0[length - 1] == '\n')
		s0[length - 1] = 0;

	/* Ucitavaju se baze i provjerava se njihova validnost. */
	scanf("%d%d", &m, &n);
	assert(m >= 2 && m <= 36 && n >= 2 && n <= 36);

	/*
	 * Poziva se funkcija koja vrsi konverziju i, ako sve prodje u redu,
	 * stampa se konvertovana vrijednost na standardni izlaz.
	 */
	if (convert(s0, m, s1, n))
		printf("%s\n", s1);

	return 0;
}
