#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

/* Deklaracija funkcije correlation(). */
extern float    correlation(int n, float *x, float *y);

int
main()
{
	int             n;	/* Duzina nizova. */
	float          *x, *y;	/* Nizovi cija se korelacija trazi. */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se duzina nizova. */
	scanf("%d", &n);
	assert(n > 0);

	/* Alocira se memorija za nizove. */
	x = (float *)malloc(n * sizeof(float));
	assert(x != NULL);
	y = (float *)malloc(n * sizeof(float));
	assert(y != NULL);

	/* Ucitavaju se elementi nizova. */
	for (i = 0; i < n; i++)
		scanf("%f%f", &x[i], &y[i]);

	/* Izracunava se i stampa vrijednost korelacije. */
	printf("%g\n", correlation(n, x, y));

	/* Oslobadja se memorija koriscena za nizove. */
	free(x);
	free(y);

	return 0;
}
