#include <assert.h>
#include <stdio.h>
#include <stdlib.h>

/* Deklaracija funkcije parity(). */
extern int      parity(int n, int *A);

int
main()
{
	int             n;	/* Dimenzija matrice. */
	int            *A;	/* Matrica za koju se provjerava svojstvo
				 * parnosti. */
	int             i;	/* Brojac u petljama. */

	/* Ucitava se dimenzija matrice. */
	scanf("%d\n", &n);
	assert(n > 0);

	/* Alocira se memorija za elemente matrice i ucitavaju se isti. */
	A = malloc(n * n * sizeof(int));
	assert(A != NULL);
	for (i = 0; i < n * n; i++) {
		scanf("%d", &A[i]);
		assert(A[i] == 0 || A[i] == 1);
	}

	/* Poziva se funkcija koja ispituje da li matrica zadovoljava
	 * svojstvo parnosti i stampa se odgovarajuca poruka na standardni 
	 * izlaz. */
	printf("%s\n", parity(n, A) ? "yes" : "no");

	/* Oslobadja se memorija koriscena za elemente matrice. */
	free(A);

	return 0;
}
