#include <assert.h>
#include <stdio.h>

/* Deklaracija funkcije projectile(). */
extern void     projectile(float alpha, float u, float t, float *x,
			   float *y, float *v, float *theta);

int
main(void)
{
	float           alpha;	/* Ugao (u stepenima) pod kojim je izbacen 
				 * projektil. */
	float           u;	/* Pocetna brzina projektila. */
	float           t;	/* Vrijeme proteklo od izbacivanja
				 * projektila. */
	float           x,
	                y;	/* Horizontalna i vertikalna koordinata
				 * projektila u datom trenutku. */
	float           v;	/* Brzina projektila u datom trenutku. */
	float           theta;	/* Ugao (u stepenima) koji u datom
				 * trenutku zaklapa vektor brzine sa
				 * horizontalnom ravni. */

	/* Ucitavaju se ulazni podaci, i provjerava se njihova validnost. */
	scanf("%f%f%f", &alpha, &u, &t);
	assert(0 < alpha && alpha < 90);
	assert(u > 0);
	assert(t > 0);

	/* Izracunavaju se pozicija i brzina projektila u datom trenutku,
	 * i stampaju se rezultati na standardni izlaz. */
	projectile(alpha, u, t, &x, &y, &v, &theta);
	printf("%g %g %g %g\n", x, y, v, theta);

	return 0;
}
